## mp3parse mp3parse — Parses and frames mpeg1 audio streams (levels 1-3), provides seek |

## Synopsis

    struct              GstMPEGAudioParse;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstMPEGAudioParse

## Properties

      "bitrate"                  gint                  : Read
      "skip"                     gint                  : Read / Write

## Description

Parses and frames mpeg1 audio streams. Provides seeking.

### Example launch line

    1
    gst-launch filesrc location=test.mp3 ! mp3parse ! mad ! autoaudiosink

## Synopsis

### Element Information

plugin | mpegaudioparse
author | Jan Schmidt <thaytan@mad.scientist.com>,Erik Walthinsen <omega@cse.ogi.edu>
class | Codec/Parser/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int)1, parsed=(boolean)false

name | src
direction | source
presence | always
details | audio/mpeg, mpegversion=(int)1, layer=(int)[ 1, 3 ], rate=(int)[ 8000, 48000 ], channels=(int)[ 1, 2 ], parsed=(boolean)true

## Details

### struct GstMPEGAudioParse

    struct GstMPEGAudioParse;

## Property Details

### The `"bitrate"` property

      "bitrate"                  gint                  : Read

Bit Rate.

Default value: 0

### The `"skip"` property

      "skip"                     gint                  : Read / Write

skip.

Default value: 0